#include "TMHistogrammingEventDumpPayload.h"

//_____________________________________________________________________
TMHistogrammingEventDumpPayload::TMHistogrammingEventDumpPayload() :
  TMHistogrammingEventDump()
{
}
//_____________________________________________________________________
TMHistogrammingEventDumpPayload::~TMHistogrammingEventDumpPayload() {
}
//_____________________________________________________________________
void TMHistogrammingEventDumpPayload::EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber) {
  if (fEventAccept) {
    TString newEv = Form("______________________________________________________EVENT %d (PHYSICS EVENT)______________________________________________________",globalEventNumber);
    if (DumpThis(newEv.Data())) {
      DumpPayload(fEvent);
      DumpThis(" ");
      fNeedRedump=kTRUE;
    }
  }

  TMHistogramming::EndEvent(str, globalEventNumber);
}
